<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<Library.Models.Book>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Edit
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Edit</h2>

    <%= Html.ValidationSummary("Edit was unsuccessful. Please correct the errors and try again.") %>

    <% using (Html.BeginForm()) {%>

        <fieldset>
            <legend>Fields</legend>
            <p>
                <label for="BookID">BookID:</label>
                <%= Html.TextBox("BookID", Model.BookID) %>
                <%= Html.ValidationMessage("BookID", "*") %>
            </p>
            <p>
                <label for="ASIN">ASIN:</label>
                <%= Html.TextBox("ASIN", Model.ASIN) %>
                <%= Html.ValidationMessage("ASIN", "*") %>
            </p>
            <p>
                <label for="CategoryID">CategoryID:</label>
                <%= Html.TextBox("CategoryID", Model.CategoryID) %>
                <%= Html.ValidationMessage("CategoryID", "*") %>
            </p>
            <p>
                <label for="Title">Title:</label>
                <%= Html.TextBox("Title", Model.Title) %>
                <%= Html.ValidationMessage("Title", "*") %>
            </p>
            <p>
                <label for="Author">Author:</label>
                <%= Html.TextBox("Author", Model.Author) %>
                <%= Html.ValidationMessage("Author", "*") %>
            </p>
            <p>
                <label for="Description">Description:</label>
                <%= Html.TextBox("Description", Model.Description) %>
                <%= Html.ValidationMessage("Description", "*") %>
            </p>
            <p>
                <label for="PublishDate">PublishDate:</label>
                <%= Html.TextBox("PublishDate", String.Format("{0:g}", Model.PublishDate)) %>
                <%= Html.ValidationMessage("PublishDate", "*") %>
            </p>
            <p>
                <label for="Missing">Missing:</label>
                <%= Html.TextBox("Missing", Model.Missing) %>
                <%= Html.ValidationMessage("Missing", "*") %>
            </p>
            <p>
                <label for="OnShelf">OnShelf:</label>
                <%= Html.TextBox("OnShelf", Model.OnShelf) %>
                <%= Html.ValidationMessage("OnShelf", "*") %>
            </p>
        <p>
        <%= Html.Hidden("orginal.BookID", Model.BookID)%>
        <%= Html.Hidden("orginal.Title", Model.Title)%>
        <%= Html.Hidden("orginal.Author", Model.Author)%>
        <%= Html.Hidden("orginal.Description", Model.Description)%>
        <%= Html.Hidden("orginal.PublishDate", Model.PublishDate)%>
        <%= Html.Hidden("orginal.Missing", Model.Missing)%>
        <%= Html.Hidden("orginal.OnShelf", Model.OnShelf)%>
        <%= Html.Hidden("orginal.CategoryID", Model.CategoryID)%>
       </p>
            <p>
                <input type="submit" value="Save" />
            </p>
        </fieldset>

    <% } %>

    <div>
        <%=Html.ActionLink("Back to List", "Index") %>
    </div>

</asp:Content>

